Bug 172712 - [css-align] Implement the new behavior of 'legacy' for justify-items
Summary: [css-align] Implement the new behavior of 'legacy' for justify-items
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Javier Fernandez
URL:
Keywords: InRadar
Depends on:
Blocks: 172711
  Show dependency treegraph
 
Reported: 2017-05-30 06:53 PDT by Javier Fernandez
Modified: 2018-02-09 06:59 PST (History)
11 users (show)

See Also:


Attachments
Patch (52.23 KB, patch)
2018-02-06 07:25 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-sierra (2.27 MB, application/zip)
2018-02-06 08:37 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-sierra-wk2 (2.59 MB, application/zip)
2018-02-06 08:38 PST, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-sierra (2.95 MB, application/zip)
2018-02-06 09:08 PST, Build Bot
no flags Details
Archive of layout-test-results from ews205 for win-future (11.56 MB, application/zip)
2018-02-06 09:46 PST, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.23 MB, application/zip)
2018-02-06 11:06 PST, Build Bot
no flags Details
Archive of layout-test-results from ews200 for win-future (11.60 MB, application/zip)
2018-02-06 11:37 PST, Build Bot
no flags Details
Patch (58.67 KB, patch)
2018-02-06 13:44 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.19 MB, application/zip)
2018-02-06 14:54 PST, Build Bot
no flags Details
Patch (58.49 KB, patch)
2018-02-06 15:01 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Fernandez 2017-05-30 06:53:17 PDT
The 'auto' value, previously valid for the justify-items property, has been renamed to 'legacy':

https://drafts.csswg.org/css-align/#valdef-justify-items-legacy
Comment 1 Javier Fernandez 2018-01-29 03:02:46 PST
I'm working on this now.
Comment 2 Javier Fernandez 2018-02-06 07:25:30 PST
Created attachment 333173 [details]
Patch
Comment 3 Build Bot 2018-02-06 07:28:06 PST
Attachment 333173 [details] did not pass style-queue:


ERROR: Source/WebCore/css/StyleResolver.cpp:1067:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Total errors found: 1 in 24 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Build Bot 2018-02-06 08:37:33 PST
Comment on attachment 333173 [details]
Patch

Attachment 333173 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6383049

New failing tests:
css3/parse-alignment-of-root-elements.html
css3/parse-place-items.html
fast/css/parse-justify-items.html
Comment 5 Build Bot 2018-02-06 08:37:35 PST
Created attachment 333176 [details]
Archive of layout-test-results from ews101 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2018-02-06 08:38:48 PST
Comment on attachment 333173 [details]
Patch

Attachment 333173 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/6383045

New failing tests:
css3/parse-alignment-of-root-elements.html
css3/parse-place-items.html
fast/css/parse-justify-items.html
Comment 7 Build Bot 2018-02-06 08:38:50 PST
Created attachment 333177 [details]
Archive of layout-test-results from ews104 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 8 Build Bot 2018-02-06 09:08:21 PST
Comment on attachment 333173 [details]
Patch

Attachment 333173 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/6383095

New failing tests:
css3/parse-alignment-of-root-elements.html
css3/parse-place-items.html
fast/css/parse-justify-items.html
Comment 9 Build Bot 2018-02-06 09:08:22 PST
Created attachment 333180 [details]
Archive of layout-test-results from ews113 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 10 Build Bot 2018-02-06 09:45:49 PST
Comment on attachment 333173 [details]
Patch

Attachment 333173 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/6383501

New failing tests:
css3/parse-alignment-of-root-elements.html
css3/parse-place-items.html
fast/css/parse-justify-items.html
Comment 11 Build Bot 2018-02-06 09:46:00 PST
Created attachment 333183 [details]
Archive of layout-test-results from ews205 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews205  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 12 Build Bot 2018-02-06 11:05:58 PST
Comment on attachment 333173 [details]
Patch

Attachment 333173 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/6384217

New failing tests:
css3/parse-alignment-of-root-elements.html
css3/parse-place-items.html
fast/css/parse-justify-items.html
Comment 13 Build Bot 2018-02-06 11:06:00 PST
Created attachment 333192 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 14 Build Bot 2018-02-06 11:37:29 PST
Comment on attachment 333173 [details]
Patch

Attachment 333173 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/6384733

New failing tests:
css3/parse-alignment-of-root-elements.html
css3/parse-place-items.html
fast/css/parse-justify-items.html
Comment 15 Build Bot 2018-02-06 11:37:40 PST
Created attachment 333197 [details]
Archive of layout-test-results from ews200 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews200  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 16 Javier Fernandez 2018-02-06 13:44:24 PST
Created attachment 333210 [details]
Patch
Comment 17 Build Bot 2018-02-06 14:54:20 PST
Comment on attachment 333210 [details]
Patch

Attachment 333210 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6387803

New failing tests:
css3/parse-place-items.html
Comment 18 Build Bot 2018-02-06 14:54:22 PST
Created attachment 333221 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 19 Javier Fernandez 2018-02-06 15:01:26 PST
Created attachment 333223 [details]
Patch
Comment 20 WebKit Commit Bot 2018-02-09 06:57:18 PST
Comment on attachment 333223 [details]
Patch

Clearing flags on attachment: 333223

Committed r228319: <https://trac.webkit.org/changeset/228319>
Comment 21 WebKit Commit Bot 2018-02-09 06:57:20 PST
All reviewed patches have been landed.  Closing bug.
Comment 22 Radar WebKit Bug Importer 2018-02-09 06:59:56 PST
<rdar://problem/37389693>